Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResource.Builder

java.lang.Object
ru.bitel.oss.systems.inventory.resource.common.bean.IpResource.Builder

Enclosing class:
  `IpResource`

public static class IpResource.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IpResource`
  `build()`
  `IpResource.Builder`
  `setAddressFrom(byte[] addressFrom)`
  `IpResource.Builder`
  `setAddressTo(byte[] addressTo)`
  `IpResource.Builder`
  `setCategoryId(int categoryId)`
  `IpResource.Builder`
  `setComment(String comment)`
  `IpResource.Builder`
  `setConfig(String config)`
  `IpResource.Builder`
  `setDateFrom(Date dateFrom)`
  `IpResource.Builder`
  `setDateTo(Date dateTo)`
  `IpResource.Builder`
  `setDns(String dns)`
  `IpResource.Builder`
  `setId(int id)`
  `IpResource.Builder`
  `setPrefixLength(short prefixLength)`
  `IpResource.Builder`
  `setReserveEnd(boolean reserveEnd)`
  `IpResource.Builder`
  `setReserveStart(boolean reserveStart)`
  `IpResource.Builder`
  `setRouter(String router)`
  `IpResource.Builder`
  `setSubnetMask(String subnetMask)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public IpResource.Builder setId(int id)

  - ### setCategoryId

    public IpResource.Builder setCategoryId(int categoryId)

  - ### setAddressFrom

    public IpResource.Builder setAddressFrom(byte[] addressFrom)

  - ### setAddressTo

    public IpResource.Builder setAddressTo(byte[] addressTo)

  - ### setPrefixLength

    public IpResource.Builder setPrefixLength(short prefixLength)

  - ### setDateFrom

    public IpResource.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public IpResource.Builder setDateTo(Date dateTo)

  - ### setRouter

    public IpResource.Builder setRouter(String router)

  - ### setDns

    public IpResource.Builder setDns(String dns)

  - ### setSubnetMask

    public IpResource.Builder setSubnetMask(String subnetMask)

  - ### setConfig

    public IpResource.Builder setConfig(String config)

  - ### setComment

    public IpResource.Builder setComment(String comment)

  - ### setReserveStart

    public IpResource.Builder setReserveStart(boolean reserveStart)

  - ### setReserveEnd

    public IpResource.Builder setReserveEnd(boolean reserveEnd)

  - ### build

    public IpResource build()